Bug 472515 - occasionally X crash on ThinkPad R52
occasionally X crash on ThinkPad R52
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
12
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 07:47 EST by Dan Kenigsberg
Modified: 2010-12-05 02:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log of the frozen session (most probably) (226.86 KB, text/plain)
2008-11-21 16:10 EST, Dan Kenigsberg
no flags Details

  None (edit)
Description Dan Kenigsberg 2008-11-21 07:47:32 EST
Description of problem:

from time to time, X suddenly hangs

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.3-5.fc10.i386

How reproducible:
Use X on my ThinkPad R52 for a day or two


Steps to Reproduce:
1.
2.
3.
  
Actual results:
X hangs (anything but the mouse pointer). ctrl-alt-f2 etc, don't let access text console. X process seems to ignore SIGTERM, and SIGKILL gets it into non-killable state (and does not evict the display)
 2522 tty1     Ds+    9:37 [Xorg]
Comment 1 Matěj Cepl 2008-11-21 12:53:06 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dan Kenigsberg 2008-11-21 16:10:22 EST
Created attachment 324346 [details]
/var/log/Xorg.0.log of the frozen session (most probably)

There's no xorg.conf: (EE) Unable to locate/open config file
Comment 3 Matěj Cepl 2008-11-21 17:39:39 EST
Nice!

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4262]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43c8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x723a8d]
5: /usr/bin/Xorg [0x80bcdb7]
6: /usr/bin/Xorg [0x80ac91e]
7: [0x130400]
8: [0x130416]
9: /lib/libc.so.6(ioctl+0x19) [0x28d949]
10: /usr/lib/libdrm.so.2 [0x61be6cf]
11: /usr/lib/libdrm.so.2(drmCommandNone+0x2a) [0x61bea1a]
12: /usr/lib/xorg/modules/drivers//intel_drv.so [0x406970]
13: /usr/bin/Xorg [0x8162bff]
14: /usr/bin/Xorg [0x813c49a]
15: /usr/bin/Xorg(BlockHandler+0x58) [0x8089ac8]
16: /usr/bin/Xorg(WaitForSomething+0x10d) [0x8128f0d]
17: /usr/bin/Xorg(Dispatch+0x7e) [0x8085bce]
18: /usr/bin/Xorg(main+0x47d) [0x806b71d]
19: /lib/libc.so.6(__libc_start_main+0xe5) [0x1c86d5]
20: /usr/bin/Xorg [0x806ab01]
Comment 4 Bug Zapper 2008-11-26 00:43:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Vedran Miletić 2009-11-05 18:11:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2009-11-18 02:47:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Dan Kenigsberg 2009-11-20 12:16:26 EST
I just experienced something very similar with xorg-x11-server-Xorg-1.7.1-7.fc12.i686


(II) intel(0): Printing probed modes for output TV1
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x80e51a7]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xd4) [0x80bf8a4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0xf67000+0x3172) [0xf6a172]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0xf67000+0x3466) [0xf6a466]
5: /usr/bin/Xorg (0x8047000+0x6b1f0) [0x80b21f0]
6: /usr/bin/Xorg (0x8047000+0x11ed24) [0x8165d24]
7: (vdso) (__kernel_sigreturn+0x0) [0x5b0400]
8: (vdso) (__kernel_vsyscall+0x2) [0x5b0416]
9: /lib/libc.so.6 (ioctl+0x19) [0x22ee39]
10: /usr/lib/libdrm.so.2 (drmIoctl+0x2e) [0x7cb888e]
11: /usr/lib/libdrm.so.2 (drmCommandNone+0x33) [0x7cb8cd3]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x341000+0x2059e) [0x36159e]
13: /usr/bin/Xorg (0x8047000+0x16c32b) [0x81b332b]
14: /usr/bin/Xorg (0x8047000+0xa101b) [0x80e801b]
15: /usr/bin/Xorg (BlockHandler+0x58) [0x80736b8]
16: /usr/bin/Xorg (WaitForSomething+0x10c) [0x80a0e1c]
17: /usr/bin/Xorg (0x8047000+0x26f30) [0x806df30]
18: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
19: /lib/libc.so.6 (__libc_start_main+0xe6) [0x173bb6]
20: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]
Comment 8 Vedran Miletić 2009-12-04 12:56:59 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora
Comment 9 Dan Kenigsberg 2009-12-05 10:27:59 EST
as comment 7 shows, this occurs in f12, too.
Comment 10 Bug Zapper 2010-11-04 07:41:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:05:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.